#!/bin/bash
set -e

NAME="eclipse-dltk"
TAG=R5_8_1
RELENG_TAG=5fa736fc22fa40cabbf860294835c1b42b6cfee4
CORE_TAG=R5_8_1
RUBY_TAG=6629ebd9f2e3da8febe3524e8228f25674a6595b
SHELL_TAG=9a4e10eb08f09361fd9fdc63937033f8b7706565
TCL_TAG=070fa0f7832e7b095bfefddf09fcdb100d5e64b7

rm -fr $NAME-$TAG
mkdir $NAME-$TAG
pushd $NAME-$TAG

wget http://git.eclipse.org/c/dltk/org.eclipse.dltk.releng.git/snapshot/org.eclipse.dltk.releng-$RELENG_TAG.tar.xz
tar xfs org.eclipse.dltk.releng-$RELENG_TAG.tar.xz
rm org.eclipse.dltk.releng-$RELENG_TAG.tar.xz
mv org.eclipse.dltk.releng-$RELENG_TAG org.eclipse.dltk.releng

wget http://git.eclipse.org/c/dltk/org.eclipse.dltk.core.git/snapshot/org.eclipse.dltk.core-$CORE_TAG.tar.xz
tar xfs org.eclipse.dltk.core-$CORE_TAG.tar.xz
rm org.eclipse.dltk.core-$CORE_TAG.tar.xz
mv org.eclipse.dltk.core-$CORE_TAG org.eclipse.dltk.core

wget http://git.eclipse.org/c/dltk/org.eclipse.dltk.ruby.git/snapshot/org.eclipse.dltk.ruby-$RUBY_TAG.tar.xz
tar xfs org.eclipse.dltk.ruby-$RUBY_TAG.tar.xz
rm org.eclipse.dltk.ruby-$RUBY_TAG.tar.xz
mv org.eclipse.dltk.ruby-$RUBY_TAG org.eclipse.dltk.ruby

wget http://git.eclipse.org/c/dltk/org.eclipse.dltk.tcl.git/snapshot/org.eclipse.dltk.tcl-$TCL_TAG.tar.xz
tar xfs org.eclipse.dltk.tcl-$TCL_TAG.tar.xz
rm org.eclipse.dltk.tcl-$TCL_TAG.tar.xz
mv org.eclipse.dltk.tcl-$TCL_TAG org.eclipse.dltk.tcl

wget http://git.eclipse.org/c/dltk/org.eclipse.dltk.sh.git/snapshot/org.eclipse.dltk.sh-$SHELL_TAG.tar.xz
tar xfs org.eclipse.dltk.sh-$SHELL_TAG.tar.xz
rm org.eclipse.dltk.sh-$SHELL_TAG.tar.xz
mv org.eclipse.dltk.sh-$SHELL_TAG org.eclipse.dltk.sh

popd

#Remove any commited jars
find $NAME-$TAG -name *.jar -delete
find $NAME-$TAG -name *.class -delete

echo "Creating tarball '$NAME-$TAG.tar.xz'..."
tar -caf $NAME-$TAG.tar.xz $NAME-$TAG
